﻿<UserControl x:Class="CMS.Views.SaleItemCollectionView"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:dx="http://schemas.devexpress.com/winfx/2008/xaml/core"
        xmlns:dxe="http://schemas.devexpress.com/winfx/2008/xaml/editors"
        xmlns:dxg="http://schemas.devexpress.com/winfx/2008/xaml/grid"
        xmlns:dxb="http://schemas.devexpress.com/winfx/2008/xaml/bars"
        xmlns:dxr="http://schemas.devexpress.com/winfx/2008/xaml/ribbon"
        xmlns:dxlc="http://schemas.devexpress.com/winfx/2008/xaml/layoutcontrol"
        xmlns:dxdo="http://schemas.devexpress.com/winfx/2008/xaml/docking"
        xmlns:dxrudex="http://schemas.devexpress.com/winfx/2008/xaml/reports/userdesignerextensions"
        xmlns:dxmvvm="http://schemas.devexpress.com/winfx/2008/xaml/mvvm"
        xmlns:viewModel="clr-namespace:CMS.ViewModels"
        xmlns:view="clr-namespace:CMS.Views"
        xmlns:localization="clr-namespace:CMS.Localization"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        mc:Ignorable="d" d:DesignHeight="400" d:DesignWidth="600" DataContext="{dxmvvm:ViewModelSource viewModel:SaleItemCollectionViewModel}">
    <UserControl.Resources>
        <ResourceDictionary Source="../../Resources/CollectionViewResources.xaml" />
    </UserControl.Resources>
    <DockPanel Style="{StaticResource CollectionView.RootContainer}">
        <dxr:RibbonControl Style="{StaticResource CollectionView.RibbonControl}" DockPanel.Dock="Top">
            <dxr:RibbonDefaultPageCategory>
                <dxr:RibbonPage Style="{StaticResource CollectionView.RibbonPage}">
                    <dxr:RibbonPageGroup Style="{StaticResource CollectionView.RibbonPageGroup.Main}" Caption="Sale Item Tasks">
                        <dxb:BarButtonItem Style="{StaticResource CollectionView.Command.New}" />
                        <dxb:BarButtonItem Style="{StaticResource CollectionView.Command.Edit}" />
                        <dxb:BarButtonItem Style="{StaticResource CollectionView.Command.Delete}" />
                        <dxb:BarButtonItem Style="{StaticResource CollectionView.Command.Save}" />
                        <dxb:BarButtonItem Style="{StaticResource CollectionView.Command.Reset}" />
                        <dxb:BarButtonItem Style="{StaticResource CollectionView.Command.Refresh}" />
                        <dxb:BarSplitButtonItem Style="{StaticResource CollectionView.Command.Reports}">
                            <dxmvvm:Interaction.Behaviors>
                                <dxrudex:ReportManagerBehavior Service="{Binding ElementName=SaleItemCollectionViewReportService}" ImageType="Office2013" />
                            </dxmvvm:Interaction.Behaviors>
                        </dxb:BarSplitButtonItem>
                    </dxr:RibbonPageGroup>
                </dxr:RibbonPage>
            </dxr:RibbonDefaultPageCategory>
        </dxr:RibbonControl>
        <dxr:RibbonStatusBarControl Style="{StaticResource CollectionView.RibbonStatusBar}" DockPanel.Dock="Bottom">
            <dxr:RibbonStatusBarControl.LeftItems>
                <dxb:BarStaticItem Style="{StaticResource CollectionView.Command.Count}" />
            </dxr:RibbonStatusBarControl.LeftItems>
        </dxr:RibbonStatusBarControl>
        <dxg:GridControl x:Name="gridControl" Style="{StaticResource CollectionView.GridControl.Editable}">
            <dxg:GridControl.View>
                <dxg:TableView Style="{StaticResource CollectionView.TableView}" AutoWidth="True">
                    <dxmvvm:Interaction.Behaviors>
                        <dxrudex:GridReportManagerService x:Name="SaleItemCollectionViewReportService" />
                    </dxmvvm:Interaction.Behaviors>
                    <dxg:TableView.RowCellMenuCustomizations>
                        <dxb:BarButtonItem Style="{StaticResource CollectionView.GridCommand.New}" />
                        <dxb:BarButtonItem Style="{StaticResource CollectionView.GridCommand.Edit}" />
                        <dxb:BarButtonItem Style="{StaticResource CollectionView.GridCommand.Delete}" />
                        <dxb:BarButtonItem Style="{StaticResource CollectionView.GridCommand.Refresh}" />
                    </dxg:TableView.RowCellMenuCustomizations>
                </dxg:TableView>
            </dxg:GridControl.View>
            <dxg:GridControl.Columns>
                <dxg:GridColumn IsSmart="True" FieldName="SaleItemID" />
                <dxg:GridColumn IsSmart="True" FieldName="Name" />
                <dxg:GridColumn IsSmart="True" FieldName="Price">
                    <dxg:GridColumn.EditSettings>
                        <dxe:TextEditSettings  HorizontalContentAlignment="Center"  Mask="d0" MaskType="Numeric" MaskUseAsDisplayFormat="True"/>
                    </dxg:GridColumn.EditSettings>
                </dxg:GridColumn>
                <dxg:GridColumn IsSmart="True" FieldName="IsAvailable" Header="Is Available?" />
            </dxg:GridControl.Columns>
            <dxg:GridControl.TotalSummary>
                <dxg:GridSummaryItem SummaryType="Count" Alignment="Right" />
            </dxg:GridControl.TotalSummary>
            <dxg:GridControl.GroupSummary>
                <dxg:GridSummaryItem SummaryType="Count" />
            </dxg:GridControl.GroupSummary>
        </dxg:GridControl>
    </DockPanel>
</UserControl>